### Method

# Soup Session set_idle_timeout

#### Declaration [src]

    void
    soup_session_set_idle_timeout (
      SoupSession* session,
      guint timeout
    )

#### Description [src]

Set a timeout in seconds for idle connection lifetime to be used by `session` on new connections.

See `SoupSession:idle-timeout` for more information.

Sets property | `Soup.Session:idle-timeout`

#### Parameters

`timeout`

  Type: `guint`

  A timeout in seconds.